
Foreman - Bug #10376

Import Puppet Classes Authorization Filter Not Working

05/05/2015 10:03 AM - Chris Pisano

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have created a custom role for a subset of users in my environment. They are not to be Administrators in Foreman but do require

some admin type privileges, one of them being able to import Puppet classes. I have created and applied that filter however the

option does not appear. I have attached screen shots of the role's full list of filters.

History

#1 - 05/05/2015 11:06 AM - Dominic Cleal

- Subject changed from Import Puppet Classes Filter Not Working to Import Puppet Classes Authorization Filter Not Working

- Category changed from Web Interface to Users, Roles and Permissions

#2 - 11/20/2015 10:40 AM - Chris Pisano

This can be closed. The issue seemed to be resolved in 1.8.x and haven't seen it since.

#3 - 11/20/2015 10:41 AM - Dominic Cleal

- Status changed from New to Resolved

Thanks for confirming!
